diff a/test/hotspot/jtreg/runtime/cds/CDSMapReader.java b/test/hotspot/jtreg/runtime/cds/CDSMapReader.java
--- a/test/hotspot/jtreg/runtime/cds/CDSMapReader.java
+++ b/test/hotspot/jtreg/runtime/cds/CDSMapReader.java
@@ -295,11 +295,11 @@
             lineCount = 0;
         }
     }
 
     private static void mustContain(HashMap<Long, HeapObject> allObjects, Field field, long pointer, boolean isNarrow) {
-        if (allObjects.get(pointer) == null) {
+        if (pointer != 0x0 && allObjects.get(pointer) == null) {
             throw new RuntimeException((isNarrow ? "narrowOop" : "oop") + " pointer 0x" + Long.toHexString(pointer) +
                                        " on line " + field.lineCount + " doesn't point to a valid heap object");
         }
     }
 
